/* definitions for LCD driver */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
/**
 * @file
 * @ingroup gFirstTry
 */

#ifndef LCD_H
#define LCD_H

#define LCD_DIGITS (5*4)
#define LCD_PLANES (2)

#define LCD_SWITCHPORT PORTJ
#define LCD_SWITCHPIN  PORTJ5
#define LCD_SWITCHPORT_D DDRJ
#define LCD_SWITCHPIN_D  DDJ5

#define LCD_SWITCHMASK (_BV(LCD_SWITCHPIN))

#include <stdint.h>

uint8_t lcd_init (void);
void lcd_shutdown (void);

void lcd_put (uint8_t plane, uint8_t pos, uint8_t bits);

#endif
