/// This file has been prepared for Doxygen automatic documentation generation.
/*! \file *********************************************************************
 *
 * \brief  DB101 sample pictures source file.
 *
 *       This file holds some picture data for demonstration purpose in the
 *       DB101 software.
 *      
 * \par Application note:
 *      AVR482: DB101 Software
 *
 * \par Documentation
 *      For comprehensive code documentation, supported compilers, compiler
 *      settings and supported devices see readme.html
 *
 * \author
 *      Atmel Corporation: http://www.atmel.com \n
 *      Support email: avr@atmel.com
 *
 * $Revision: 2172 $
 * $Date: 2007-07-11 09:34:22 -0600 (on, 11 jul 2007) $
 * $URL: http://revisor.norway.atmel.com/AppsAVR8/avr482_db101_software_users_guide/tags/release_A_code_20070917/IAR/production_demo_rev_A/flashpics.h $
 *
 * Copyright (c) 2006, Atmel Corporation All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. The name of ATMEL may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ATMEL ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND
 * SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *****************************************************************************/
#ifndef FLASHPICS_H
#define FLASHPICS_H

#include <lcd_lib.h>
#include <stdint.h>


#define FLASHPICS_HUGE_WIDTH 460
#define FLASHPICS_HUGE_HEIGHT 288

extern uint8_t const CAL_PGM(FLASHPICS_excellenceThroughTechnology[]);
extern uint8_t const CAL_PGM(FLASHPICS_chip[]);
extern uint8_t const CAL_PGM(FLASHPICS_avrLogo[]);
extern uint8_t const CAL_PGM(FLASHPICS_cat[]);
extern uint8_t const CAL_PGM(FLASHPICS_face1[]);
extern uint8_t const CAL_PGM(FLASHPICS_face2[]);
extern uint8_t const CAL_PGM(FLASHPICS_db101pcb[FLASHPICS_HUGE_WIDTH * (FLASHPICS_HUGE_HEIGHT / LCD_PAGE_HEIGHT)]);

#endif
