/* struct definitions for GPS position*/
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef GPS_H
#define GPS_H

#include <stdint.h>

typedef struct gps_time_s {
  uint16_t frac_seconds:15;
  uint32_t seconds:17;
} gps_time_t;

typedef struct gps_date_s {
  uint8_t day:8;
  uint8_t month:8;
  uint16_t year:16;
} gps_date_t;

typedef  struct {
  gps_time_t time;
  gps_date_t date;
  uint16_t lat,latf;
  uint16_t lon,lonf;
  char latsign, lonsign;
  uint16_t height;
  uint16_t hdop;
  uint16_t vdop;
} gps_position;

#endif
