/* font structure definition */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef FONT_H
#define FONT_H

/*! \file font.h
 *  \brief declarations for font description
 */

#include <avr/pgmspace.h>

/*! \brief font descriptor
 *
 * This describes a font in Flash ROM
 */
typedef struct font_s {
  /*! pointer to data */
  prog_char * font_data;
  /*! width of one char in pixel */
  uint8_t char_width;
  /*! height of one char in pixel */
  uint8_t char_height;
} font_t;

#endif
