/* declarations for low-frequency timer */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef RTC_H
#define RTC_H

/* activate low-frequency oscillator
 * after calling this function, wait at least one second
 * before starting to use the timer, as this is the time
 * the oscillator needs to stabilize
 */
void hl_rtc_osc_init (void);

/* initialize low-frequency timer */
void hl_rtc_init (void);

/* enter power-save mode until next timer overflow
 * or other wake-up event
 */
void hl_sleep_for_tick (uint16_t ms);

#define F_RTC_OSC (32768)

typedef struct hl_time_s {
  uint32_t seconds;
  uint32_t useconds;
  uint16_t ticks;
} hl_time_t;

/* returns current time */
hl_time_t hl_get_current_time (void);

#endif
