/* terminal output interface */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef LHTERM_H
#define LHTERM_H

#include <avr/pgmspace.h>
#include <stdio.h>

/*!\file
 * \ingroup geXPal_lib
 * \brief simple terminal emulation on LCD display
 *
 * Emulate a simple terminal on LCD display.
 */

/*!\brief initialize terminal
 */
void term_init (void);

/*!\brief output a single character on LCD display
 *
 * \param c character to output
 */
void term_print (char c);
/*!\brief output a null-terminated string on LCD display
 *
 * \param s string to output
 */
void term_strprint (const char * s);
/*!\brief output a null-terminated string on LCD display stored in Flash
 *
 * \param s string to output (stored in Flash ROM)
 */
void term_strprint_P (PGM_P s);

/*!\brief stdio interface */
/*! pass a pointer to this function to fdevopen or fdev_setup_stream()
 * or FDEV_SETUP_STREAM()
 */
int term_put (char, FILE *);

#endif
