/* LCD pixel access functions */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include "lh155.h"
#include "display.h"

#include <util/delay.h>

void hl_lcd_op_pixel (uint8_t x, uint8_t y, hl_blt_1op op)
{
  uint8_t mask = hl_pixel_setXY_mask (x, y);
  uint8_t b;
  HL_LCD_ReadData (); /* throw away first read */
  b = HL_LCD_ReadData ();
#if 0
  /* swap bits */
  b = ((b & 0x55) << 1) | ((b & 0xAA) >> 1);
  b = ((b & 0x33) << 2) | ((b & 0xCC) >> 2);
  b = ((b & 0x0F) << 4) | ((b & 0xF0) >> 4);
#endif
  switch (op) {
  case op_clear:
    b &= ~mask;
    break;
  case op_invert:
    b ^= mask;
    break;
  case op_keep:
    /* do nothing */
    break;
  case op_set:
    b |= mask;
    break;
  }
  /*mask = hl_pixel_setXY_mask (x, y);*/
  HL_LCD_WriteData (b);
}
