/* LCD pixel position calculator */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include "lh155.h"
#include "display.h"

uint8_t hl_pixel_setXY_bit (uint8_t x, uint8_t y)
{
  uint8_t bit = x & 7;
  HL_LCD_SetX (x >> 3);
  HL_LCD_SetY (y);

  return bit;
}

uint8_t hl_pixel_setXY_mask (uint8_t x, uint8_t y)
{
  uint8_t bit = hl_pixel_setXY_bit (x, y);

  return (uint8_t)1 << bit;
}
