/* USART access - receive */
/* Copyright (C) 2010 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

/*!\file
 * \ingroup geXPal_lib
 * \brief generic USART access implementation - receive
 */

#include "usarts.h"
#include "rtc.h"
#include "usarts_int.h"

#define USART_DEF USART_DEF_RXINT

#include "usarts_all.h"

uint8_t usart_recv (usart_control_t * uc)
{
  while (!usart_can_recv (uc))
    hl_sleep_for_tick (0);

  return fifo_get_uint8 (&uc->rxbuf);
}
