/* SD card register definitions file */
/* Copyright (C) 2009 Holger Dietze
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef SDREG_H
#define SDREG_H

/* registers */

/* Card identification number, mandatory */
#define SD_CID
#define SD_CID_WIDTH 128

/* Relative card address, mandatory,
 * not used in SPI mode */
#define SD_RCA
#define SD_RCA_WIDTH 16

/* Driver stage register, optional */
#define SD_DSR
#define SD_DSR_WIDTH 16

/* Card specific data, mandatory */
#define SD_CSD
#define SD_CSD_WIDTH 128

/* SD configuration register, mandatory */
#define SD_SCR
#define SD_CSR_WIDTH 64

/* Operation conditions register, mandatory */
#define SD_OCR
#define SD_OCR_WIDTH 32

/* SD status, mandatory */
#define SD_SSR
#define SD_SSR_WIDTH 512

/* Card status, mandatory */
#define SD_CSR
#define SD_CSR_WIDTH 32


#endif
